Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::UserAccountMapper`

## Overview

    interface UserAccountMapper

A user account mapper object is used by IceGrid nodes to map session identifiers to user accounts.

### Operation Index

`getUserAccount`

  Get the name of the user account for the given user.

## `getUserAccount`

    string getUserAccount(string user)
        throws
    	UserAccountNotFoundException;

Get the name of the user account for the given user. This is used by IceGrid nodes to figure out the user account to use to run servers.

### Parameters

`user`

  The value of the server descriptor's `user` attribute. If this attribute is not defined, and the server's activation mode is `session`, the default value of `getUserAccount` is the session identifier.

### Return Value

The user account name.

### Exceptions

`UserAccountNotFoundException`

  Raised if no user account is found for the given user.

<<< Previous | Home | Next >>>
`IceGrid::TemplateDescriptor` | Up | `IceGrid::UserAccountNotFoundException`